require 'test/unit'
require 'openbabel'

class OpenBabelTest < Test::Unit::TestCase
  def obmol
    # Code from http://goo.gl/9H1LZ
    include OpenBabel

    smi2mol = OBConversion.new
    smi2mol.set_in_format("smi")

    mol = OBMol.new
    smi2mol.read_string(mol, 'CC(C)CCCC(C)C1CCC2C1(CCC3C2CC=C4C3(CCC(C4)O)C)C') # cholesterol, no chirality
    mol.add_hydrogens

    puts "Cholesterol has #{mol.num_atoms} atoms, including hydrogens."
    puts "Its molecular weight is #{mol.get_mol_wt} and its molecular formula is #{mol.get_formula}."
  end
end
